%global pypi_name stopforumspam
%global pkg_name django-stopforumspam

Name:           python-%{pkg_name}
Version:        1.8
Release:        4%{?dist}
Summary:        Django middleware for blocking IPs listed in stopforumspam.com

License:        BSD
URL:            https://pypi.python.org/pypi/%{pypi_name}/
Source0:        https://files.pythonhosted.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch

%description
Tired of comment spam, form spam and dumb crawlers? A django application that
provides middleware for blocking IPs listed in stopforumspam.com's database. A
simple management command is provided for updating the database:

    manage.py sfsupdate [--force]

Using this command, all IPs are stored in Django models. Using django-admin,
it's possible to add your own extra IP addresses on a permanent database.

%package -n python3-%{pkg_name}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       python3-django

Obsoletes:      python-%{pkg_name} < 1.8-3
Obsoletes:      python2-%{pkg_name} < 1.8-3

%{?python_provide:%python_provide python3-%{pkg_name}}

%description -n python3-%{pkg_name}
Tired of comment spam, form spam and dumb crawlers? A django application that
provides middleware for blocking IPs listed in stopforumspam.com's database. A
simple management command is provided for updating the database:

    manage.py sfsupdate [--force]

Using this command, all IPs are stored in Django models. Using django-admin,
it's possible to add your own extra IP addresses on a permanent database.

This package provides Python 3 build of %{pypi_name}.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pkg_name}
%doc README.rst
%{python3_sitelib}/%{pypi_name}-%{version}-py*.*.egg-info
%{python3_sitelib}/%{pypi_name}

%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jan 17 2018 Iryna Shcherbina <ishcherb@redhat.com> - 1.8-3
- Remove Python 2 subpackage for https://fedoraproject.org/wiki/Changes/Django20
- Remove Python 3 conditional

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed May 10 2017 Jan Beran <jberan@redhat.com> - 1.8-1
- Update to version 1.8
- Python 3 subpackage

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2-5
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Aug 12 2014 Ankur Sinha <ankursinha AT fedoraproject DOT org> 1.4.2-2
- Add conditional requires for EL5/6 where the package depends on Django

* Sun Aug 10 2014 Ankur Sinha <ankursinha AT fedoraproject DOT org> 1.4.2-1
- Update to latest upstream release

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 30 2014 Ankur Sinha <ankursinha AT fedoraproject DOT org> 1.4.1-1
- Corrected file section macros
- Added EPEL conditionals
- Initial rpm build


